Skip to main content
PATCH
/
call_control_applications
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const callControlApplication = await client.callControlApplications.update('1293384261075731499', {
  application_name: 'call-router',
  webhook_event_url: 'https://example.com',
});

console.log(callControlApplication.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
call_control_application = client.call_control_applications.update(
id="1293384261075731499",
application_name="call-router",
webhook_event_url="https://example.com",
)
print(call_control_application.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
callControlApplication, err := client.CallControlApplications.Update(
context.TODO(),
"1293384261075731499",
telnyx.CallControlApplicationUpdateParams{
ApplicationName: "call-router",
WebhookEventURL: "https://example.com",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", callControlApplication.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.callcontrolapplications.CallControlApplicationUpdateParams;
import com.telnyx.sdk.models.callcontrolapplications.CallControlApplicationUpdateResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

CallControlApplicationUpdateParams params = CallControlApplicationUpdateParams.builder()
.id("1293384261075731499")
.applicationName("call-router")
.webhookEventUrl("https://example.com")
.build();
CallControlApplicationUpdateResponse callControlApplication = client.callControlApplications().update(params);
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

call_control_application = telnyx.call_control_applications.update(
"1293384261075731499",
application_name: "call-router",
webhook_event_url: "https://example.com"
)

puts(call_control_application)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$callControlApplication = $client->callControlApplications->update(
'1293384261075731499',
applicationName: 'call-router',
webhookEventURL: 'https://example.com',
active: false,
anchorsiteOverride: 'Latency',
callCostInWebhooks: true,
dtmfType: 'Inband',
firstCommandTimeout: true,
firstCommandTimeoutSecs: 10,
inbound: [
'channelLimit' => 10,
'shakenStirEnabled' => true,
'sipSubdomain' => 'example',
'sipSubdomainReceiveSettings' => 'only_my_connections',
],
outbound: [
'channelLimit' => 10, 'outboundVoiceProfileID' => '1293384261075731499'
],
redactDtmfDebugLogging: true,
tags: ['tag1', 'tag2'],
webhookAPIVersion: '1',
webhookEventFailoverURL: 'https://failover.example.com',
webhookTimeoutSecs: 25,
);

var_dump($callControlApplication);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx call-control-applications update \
--api-key 'My API Key' \
--id 1293384261075731499 \
--application-name call-router \
--webhook-event-url https://example.com
curl --request PATCH \
--url https://api.telnyx.com/v2/call_control_applications/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_name": "call-router",
"webhook_event_url": "https://example.com",
"active": false,
"anchorsite_override": "Latency",
"dtmf_type": "Inband",
"first_command_timeout": true,
"first_command_timeout_secs": 10,
"inbound": {
"channel_limit": 10,
"shaken_stir_enabled": true,
"sip_subdomain": "example",
"sip_subdomain_receive_settings": "only_my_connections"
},
"outbound": {
"channel_limit": 10,
"outbound_voice_profile_id": "1293384261075731499"
},
"webhook_api_version": "1",
"webhook_event_failover_url": "https://failover.example.com",
"webhook_timeout_secs": 25,
"call_cost_in_webhooks": true,
"redact_dtmf_debug_logging": true
}
'
{
  "data": {
    "active": false,
    "anchorsite_override": "Latency",
    "application_name": "call-router",
    "created_at": "2018-02-02T22:25:27.521Z",
    "dtmf_type": "Inband",
    "first_command_timeout": true,
    "first_command_timeout_secs": 10,
    "id": "1293384261075731499",
    "inbound": {
      "channel_limit": 10,
      "shaken_stir_enabled": true,
      "sip_subdomain": "example",
      "sip_subdomain_receive_settings": "only_my_connections"
    },
    "outbound": {
      "channel_limit": 10,
      "outbound_voice_profile_id": "1293384261075731499"
    },
    "record_type": "call_control_application",
    "updated_at": "2018-02-02T22:25:27.521Z",
    "webhook_api_version": "1",
    "webhook_event_failover_url": "https://failover.example.com",
    "webhook_event_url": "https://example.com",
    "webhook_timeout_secs": 25,
    "call_cost_in_webhooks": false,
    "redact_dtmf_debug_logging": true
  }
}
{
"errors": [
{
"code": "10009",
"title": "Authentication failed",
"detail": "The required authentication headers were either invalid or not included in the request.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10009"
}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifies the resource.

Example:

"1293384261075731499"

Body

application/json

Update call control application request.

application_name
string
required

A user-assigned name to help manage the application.

Example:

"call-router"

webhook_event_url
string<url>
required

The URL where webhooks related to this connection will be sent. Must include a scheme, such as 'https'.

Example:

"https://example.com"

call_cost_in_webhooks
boolean
default:false

Specifies if call cost webhooks should be sent for this Call Control Application.

active
boolean
default:true

Specifies whether the connection can be used.

anchorsite_override
enum<string>
default:Latency

Latency directs Telnyx to route media through the site with the lowest round-trip time to the user's connection. Telnyx calculates this time using ICMP ping messages. This can be disabled by specifying a site to handle all media.

Available options:
Latency,
Chicago, IL,
Ashburn, VA,
San Jose, CA,
London, UK,
Chennai, IN,
Amsterdam, Netherlands,
Toronto, Canada,
Sydney, Australia
Example:

"Amsterdam, Netherlands"

dtmf_type
enum<string>
default:RFC 2833

Sets the type of DTMF digits sent from Telnyx to this Connection. Note that DTMF digits sent to Telnyx will be accepted in all formats.

Available options:
RFC 2833,
Inband,
SIP INFO
Example:

"Inband"

first_command_timeout
boolean
default:false

Specifies whether calls to phone numbers associated with this connection should hangup after timing out.

Example:

true

first_command_timeout_secs
integer
default:30

Specifies how many seconds to wait before timing out a dial command.

Example:

10

tags
string[]

Tags assigned to the Call Control Application.

Example:
["tag1", "tag2"]
inbound
Call Control Application Inbound · object
outbound
Call Control Application Outbound · object
webhook_api_version
enum<string>
default:1

Determines which webhook format will be used, Telnyx API v1 or v2.

Available options:
1,
2
Example:

"1"

webhook_event_failover_url
string<url> | null
default:""

The failover URL where webhooks related to this connection will be sent if sending to the primary URL fails. Must include a scheme, such as 'https'.

Example:

"https://failover.example.com"

webhook_timeout_secs
integer | null

Specifies how many seconds to wait before timing out a webhook.

Required range: 0 <= x <= 30
Example:

25

redact_dtmf_debug_logging
boolean
default:false

When enabled, DTMF digits entered by users will be redacted in debug logs to protect PII data entered through IVR interactions.

Example:

true

Response

Successful response with details about a call control application.

data
Call Control Application · object
Example:
{
"active": false,
"anchorsite_override": "Latency",
"application_name": "call-router",
"created_at": "2018-02-02T22:25:27.521Z",
"dtmf_type": "Inband",
"first_command_timeout": true,
"first_command_timeout_secs": 10,
"id": "1293384261075731499",
"inbound": {
"channel_limit": 10,
"shaken_stir_enabled": true,
"sip_subdomain": "example",
"sip_subdomain_receive_settings": "only_my_connections"
},
"outbound": {
"channel_limit": 10,
"outbound_voice_profile_id": "1293384261075731499"
},
"record_type": "call_control_application",
"updated_at": "2018-02-02T22:25:27.521Z",
"webhook_api_version": "1",
"webhook_event_failover_url": "https://failover.example.com",
"webhook_event_url": "https://example.com",
"webhook_timeout_secs": 25,
"call_cost_in_webhooks": false,
"redact_dtmf_debug_logging": true
}